Possible to select all elements of a layer?

Discussion in 'AutoCAD' started by musa.biralo, Aug 3, 2007.

  1. musa.biralo

    musa.biralo Guest

    Hi,

    I need to select all elements of one layer and i don't know how to do
    that...Let's say i have bunch of text (label) on one
    layer(text_layer). Now i need to select all the elements of one layer
    (text_layer). Is there any tool to do that or is there any way to
    select all elements of one layer.

    Your help will highly be appreciated.

    Thanks
    musa.biralo
     
    musa.biralo, Aug 3, 2007
    #1
  2. musa.biralo

    alanjt Guest

    try this (you can't select blocks though, since it's actually on the
    zero layer):
    ;begin
    (defun C:SE ( / e lay ss)
    (setq e (nentsel "Select entity on a layer: "))
    (if e (setq ss (ssget "_X" (list(cons 8 (cdr (assoc 8 (entget (car
    e)))))))))
    (if (zerop (getvar"CMDACTIVE"))
    (progn (sssetfirst ss ss)
    (princ"Everything has been selected, now get back to work!! "))
    )
    ss
    )
    ;end

    cheers
     
    alanjt, Aug 7, 2007
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.